[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: is the Creative Labs AWE64 GOLD Soundcard supported?

On Thu, Oct 16, 1997 at 09:33:40PM -0200, Nicola Bernardelli wrote:
>      Tons of e-mail and attached files passed... Marcus and I spared those
> things to others, here's what survives of the message I had started
> writing for the list... 
Yupp. Now the fine work can begin -> sorting out :)
> > Oh, there is another example like this coming with vienna:
> > 
> > sfxload -b1 voiperpn.sf2
> > drvmidi zebraper.mid
> > 
> > (you shouldn't hear any piano with this, but I do....)
> Try replacing any previously loaded soundfonts and putting the new one in
> bank 0:
> nick:~$ sfxload -i /mnt/fat1/sb16/samples/voiperpn.sf2
> nick:~$ drvmidi /mnt/fat1/sb16/samples/zebraper.mid

I will try it... Thank you.

> I don't hear any piano like this ^ , while I hear it if I do: 
> nick:~$ sfxload -i /mnt/fat1/sb16/sfbank/gm35revc.sf2
> nick:~$ sfxload -b1 /mnt/fat1/sb16/samples/voiperpn.sf2
> nick:~$ drvmidi /mnt/fat1/sb16/samples/zebraper.mid
> Notice that playing this mid file under Windog too, after loading _only_
> gm35revc.sf2, resulted in _everything_ played with a piano sound. There's
> a MIDI control to select a bank to select a preset in, so if a midi file
> expects to have a peculiar font on a peculiar bank you have to put it
> there. What is required for zebraper.mid?

Strange is, that I hear sometimes piano, sometimes the real samples. They
are mixing up. Mmmh, have to do some testing here.
> ----------
> On Sun, 12 Oct 1997, Marcus Brinkmann wrote:
> [snip]
> > ... the (VERIFYLD N) command would be alot easier.
> As we said by private e-mail, this doesn't work with isapnptools-1.9-1; as
> my system is libc5 based I had to pick the source of 1.11 in order to be
> able to try with it (the Debian package depends on libc6) and rebuild the
> binaries, and IT WORKS (but both isapnp and pnpdump take 6 seconds here,
> while 1.9-1 took the time to press <return>). 

Yes. I contacted the author about it, waiting I am.

> > /*----------------------------------------------------------------
> >  * AWE32 card configuration:
> >  * uncomment the following lines only when auto detection doesn't
> >  * work properly on your machine.
> >  *----------------------------------------------------------------*/
> > 
> > /*#define AWE_DEFAULT_BASE_ADDR 0x620*/ /* base port address */
> > /*#define AWE_DEFAULT_MEM_SIZE  512*/   /* kbytes */
> > 
> > you should change to
> > #define AWE_DEFAULT_BASE_ADDR 0x620 /* base port address */
> > #define AWE_DEFAULT_MEM_SIZE  4096   /* kbytes */
> > 
> > Then it should work.
> Done, but I still get this with kernel 2.0.30:  AWE32 Sound Driver v0.3.3e
> (DRAM 28672k)

This is awkward. You should test it with the new version, too. awe-drv is
actually at 0.4.2c (you can find the location in my HOWTO).

Note that the sources coming with kernel 2.1.55 in the lowlevel directory
are version 0.3.1! This is very old, and everything can break.

Oh, one more: 0.4.2c does support dynamically loaded sample fonts, so you
can use the 4 Megabyte bank with 2 Megabyte RAM on the card. Obviously, you
can try the ( MB with 4MB on card,...

> (Ok, Marcus, I still have to do it in 2.0.29... you had a message half an
> hour ago... 
> Britton, my dear, you understand we were doing lot of tests bringing
> possibly to lot of things to be just discarded...  that's why we didn't
> keep cc'ing to you... but of course the wonderful HOWTO of Marcus is
> available.)

Thank you :)
> I also tried it in the 2.1.55 kernel, but there I think I should modify
> something else... awe support remains more or less broken there for me (I
> have a 12k text file with boot-time output of various tries I did, if you
> want it I think I have better send it to you by private e-mail), almost
> with the default config files, AWE_NEW_KERNEL_INTERFACE... Notice that the
> debian package when applied to 2.0.30 prompts for AWE_MAX_SAMPLES,
> AWE_MAX_INFOS... These questions do not appear in make config of 2.1.55...

As stated above, the version with 2.1.55 is very old. The MAX questions
arise not in version 0.4.2c anymore, because the memory is allocated
dynamically (Yipie!).

Thank you alot,

"Rhubarb is no Egyptian god."
Marcus Brinkmann

TO UNSUBSCRIBE FROM THIS MAILING LIST: e-mail the word "unsubscribe" to
debian-user-request@lists.debian.org . 
Trouble?  e-mail to templin@bucknell.edu .

Reply to: